Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042398
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-11-26 08:112019-12-05 15:12
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revision4f441ebb434f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042398: When validating a new costing rule, physical inventories should be created in the warehouse's organization

DescriptionWhen validating a new costing rule, physical inventories should be created in the warehouse's organization.

The warehouses should always be defined in the legal organizations or their children. They should never be defined at *
Steps To ReproduceAs group admin role:
   Create a new costing rule for "F&B España, S.A"
      Costing Algorithm: Average Algorithm
      Warehouse dimension: Y
   Validate it
   Check one physical inventory has been created for each warehouse but both of them are created in "F&B España, S.A" although the warehouses are defined in "F&B España - Región Norte" and "F&B España - Región Sur"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040539 closednonofrancisco Physical inventory transactions are always created at legal level 
related to backport 00430043.0PR19Q3.4 closedAtulOpenbravo Validating a new costing rule is trying to create physical inventories in organizations where transactions are not allowed 
related to backport 00430033.0PR19Q4.2 closedAtulOpenbravo Validating a new costing rule is trying to create physical inventories in organizations where transactions are not allowed 
related to backport 00430023.0PR20Q1 closedAtulOpenbravo Validating a new costing rule is trying to create physical inventories in organizations where transactions are not allowed 
causes defect 0042994 closedAtulOpenbravo Validating a new costing rule is trying to create physical inventories in organizations where transactions are not allowed 

-  Notes
(0116097)
collazoandy4 (developer)
2019-12-05 00:44

Test Plan
  As group admin role:
     Create a new costing rule for "F&B España, S.A"
        Costing Algorithm: Average Algorithm
        Warehouse dimension: Y
     Validate it
     Check one physical inventory has been created for each warehouse and both of them are created in the warehouses organization "F&B España - Región Norte" and "F&B España - Región Sur"
(0116111)
hgbot (developer)
2019-12-05 15:11

Repository: erp/devel/pi
Changeset: 4f441ebb434f0b6fe5f1cb81583246b4f5223814
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Dec 05 15:06:14 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4f441ebb434f0b6fe5f1cb81583246b4f5223814 [^]

Fixes BUG-42398: When validating a new costing rule, physical inventories should
be created in the warehouse's organization

The warehouse organization is not taked into account when the inventory count is created
in the costing rule validation process

Now the warehouse organization is used to create the physical inventories when validating
a new costing rule

---
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0116112)
aferraz (developer)
2019-12-05 15:12

Code review OK

- Issue History
Date Modified Username Field Change
2019-11-26 08:11 ngarcia New Issue
2019-11-26 08:11 ngarcia Assigned To => Triage Finance
2019-11-26 08:11 ngarcia Modules => Core
2019-11-26 08:11 ngarcia Resolution time => 1576537200
2019-11-26 08:11 ngarcia Triggers an Emergency Pack => No
2019-11-26 08:11 ngarcia Relationship added related to 0040539
2019-11-26 08:11 ngarcia Issue Monitored: networkb
2019-11-26 08:52 aferraz Assigned To Triage Finance => inigo_lerga
2019-11-27 12:17 rafaroda Issue Monitored: rafaroda
2019-12-03 12:28 aferraz Assigned To inigo_lerga => collazoandy4
2019-12-03 20:23 collazoandy4 Status new => scheduled
2019-12-05 00:44 collazoandy4 Note Added: 0116097
2019-12-05 15:11 hgbot Checkin
2019-12-05 15:11 hgbot Note Added: 0116111
2019-12-05 15:11 hgbot Status scheduled => resolved
2019-12-05 15:11 hgbot Resolution open => fixed
2019-12-05 15:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4f441ebb434f0b6fe5f1cb81583246b4f5223814 [^]
2019-12-05 15:12 aferraz Review Assigned To => aferraz
2019-12-05 15:12 aferraz Note Added: 0116112
2019-12-05 15:12 aferraz Status resolved => closed
2019-12-05 15:12 aferraz Fixed in Version => 3.0PR20Q1
2020-01-24 10:49 ngarcia Relationship added causes 0042994
2020-01-28 09:32 AtulOpenbravo Relationship added blocks 0043004
2020-01-28 09:32 AtulOpenbravo Relationship replaced related to 0043004
2020-01-28 09:32 AtulOpenbravo Relationship added related to 0043003
2020-01-30 10:16 dmiguelez Relationship added related to 0043002


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker